CVE-2018-10245

NameCVE-2018-10245
DescriptionA Full Path Disclosure vulnerability in AWStats through 7.6 allows remote attackers to know where the config file is allocated, obtaining the full path of the server, a similar issue to CVE-2006-3682. The attack can, for example, use the awstats.pl framename and update parameters.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
awstats (PTS)jessie (security), jessie7.2+dfsg-1+deb8u1vulnerable
stretch (security), stretch7.6+dfsg-1+deb9u1vulnerable
buster, sid7.6+dfsg-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
awstatssource(unstable)(unfixed)unimportant

Notes

Path disclosure for awstats negligible within Debian

Search for package or bug name: Reporting problems